## net.i2p.router.tunnel
Class OutboundMessageDistributor

    java.lang.Object
      net.i2p.router.tunnel.OutboundMessageDistributor

    public class OutboundMessageDistributor

extends Object

When a message arrives at the outbound tunnel endpoint, this distributor honors the instructions.

Constructor Summary
`OutboundMessageDistributor(RouterContext ctx, int priority)`

Method Summary
`void` `distribute(I2NPMessage msg, Hash target)`
`void` `distribute(I2NPMessage msg, Hash target, TunnelId tunnel)`
`void` `distribute(I2NPMessage msg, RouterInfo target, TunnelId tunnel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutboundMessageDistributor

    public OutboundMessageDistributor(RouterContext ctx,
                                      int priority)

Method Detail

### distribute

    public void distribute(I2NPMessage msg,
                           Hash target)

### distribute

    public void distribute(I2NPMessage msg,
                           Hash target,
                           TunnelId tunnel)

### distribute

    public void distribute(I2NPMessage msg,
                           RouterInfo target,
                           TunnelId tunnel)